DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ScalarImageNew

Allocate a scalar image

## SYNOPSIS

dip_Error dip_ScalarImageNew( newImage, dataType, dimensions, resources )

## FUNCTION

Allocate and forge a `dip_Image` structure of the `DIP_IMTP_SCALAR` type.

## ARGUMENTS

Data type | Name | Description
`dip_Image *` | `newImage` | Used to return a pointer to your brand new `dip_Image` structure
`dip_DataType` | `dataType` | Data type. See DIPlib's data types
`dip_IntegerArray` | `dimensions` | Dimensions
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`ImageNew`, `ImageFree`

DIPlib on-line documentation | Function reference | Global function index